Page MenuHomePhabricator

New edit cards obscure content at the bottom of the page
Closed, ResolvedPublic

Description

We'll probably need to dynamically add some bottom padding when they're open.

Event Timeline

Esanders created this task.Jul 8 2019, 10:23 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 8 2019, 10:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Cc @matmarex, we used to do something like this on iOS?

Change 521487 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Refactor mobile context logic into ve.ui.MobileContext

https://gerrit.wikimedia.org/r/521487

Esanders claimed this task.Jul 9 2019, 3:40 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Cc @matmarex, we used to do something like this on iOS?

Yes, we still do:

/**
 * Handle surface blur events
 */
ve.init.mw.MobileArticleTarget.prototype.onSurfaceBlur = function () {
	this.getToolbar().$group.addClass( 've-init-mw-mobileArticleTarget-editTools-hidden' );
	this.pageToolbar.$element.removeClass( 've-init-mw-mobileArticleTarget-pageToolbar-hidden' );

	if ( ve.init.platform.constructor.static.isIos() ) {
		this.getSurface().$element.css( 'padding-bottom', '' );
	}
};

/**
 * Handle surface focus events
 */
ve.init.mw.MobileArticleTarget.prototype.onSurfaceFocus = function () {
	this.getToolbar().$group.removeClass( 've-init-mw-mobileArticleTarget-editTools-hidden' );
	this.pageToolbar.$element.addClass( 've-init-mw-mobileArticleTarget-pageToolbar-hidden' );

	if ( ve.init.platform.constructor.static.isIos() ) {
		this.getSurface().$element.css( 'padding-bottom', this.$element.height() - this.getToolbar().$element.height() );
	}
};

Change 521487 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Refactor mobile context logic into ve.ui.MobileContext

https://gerrit.wikimedia.org/r/521487

Change 525152 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (6045a533f)

https://gerrit.wikimedia.org/r/525152

Change 522482 had a related patch set uploaded (by Bartosz Dziewoński; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to 962335a40293cf4b1314c0236788f35f080ae877

https://gerrit.wikimedia.org/r/522482

Change 522482 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to 962335a40293cf4b1314c0236788f35f080ae877

https://gerrit.wikimedia.org/r/522482

matmarex moved this task from Inbox to High Priority on the Editing QA board.Aug 9 2019, 4:55 PM
Ryasmeen edited projects, added Verified; removed Editing QA.Aug 22 2019, 8:20 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Sep 3 2019, 1:45 AM